Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network246.48.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
246.48.0.0
Broadcast address
246.55.255.255
First usable
246.48.0.1
Last usable
246.55.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F6300000 · Integer 4130340864 to 4130865151
Reverse DNS zones
48.246.in-addr.arpa
49.246.in-addr.arpa
50.246.in-addr.arpa
51.246.in-addr.arpa
52.246.in-addr.arpa
53.246.in-addr.arpa
54.246.in-addr.arpa
55.246.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110110.00110000.00000000.00000000246.48.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network11110110.00110000.00000000.00000000246.48.0.0
Broadcast11110110.00110111.11111111.11111111246.55.255.255
Split into smaller subnets/23

246.48.0.0/13 makes 1,024 subnets of /23; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1246.48.0.0/23246.48.0.1 to 246.48.1.254246.48.1.255510
2246.48.2.0/23246.48.2.1 to 246.48.3.254246.48.3.255510
3246.48.4.0/23246.48.4.1 to 246.48.5.254246.48.5.255510
4246.48.6.0/23246.48.6.1 to 246.48.7.254246.48.7.255510
5246.48.8.0/23246.48.8.1 to 246.48.9.254246.48.9.255510
6246.48.10.0/23246.48.10.1 to 246.48.11.254246.48.11.255510
7246.48.12.0/23246.48.12.1 to 246.48.13.254246.48.13.255510
8246.48.14.0/23246.48.14.1 to 246.48.15.254246.48.15.255510
9246.48.16.0/23246.48.16.1 to 246.48.17.254246.48.17.255510
10246.48.18.0/23246.48.18.1 to 246.48.19.254246.48.19.255510
11246.48.20.0/23246.48.20.1 to 246.48.21.254246.48.21.255510
12246.48.22.0/23246.48.22.1 to 246.48.23.254246.48.23.255510
13246.48.24.0/23246.48.24.1 to 246.48.25.254246.48.25.255510
14246.48.26.0/23246.48.26.1 to 246.48.27.254246.48.27.255510
15246.48.28.0/23246.48.28.1 to 246.48.29.254246.48.29.255510
16246.48.30.0/23246.48.30.1 to 246.48.31.254246.48.31.255510
17246.48.32.0/23246.48.32.1 to 246.48.33.254246.48.33.255510
18246.48.34.0/23246.48.34.1 to 246.48.35.254246.48.35.255510
19246.48.36.0/23246.48.36.1 to 246.48.37.254246.48.37.255510
20246.48.38.0/23246.48.38.1 to 246.48.39.254246.48.39.255510
21246.48.40.0/23246.48.40.1 to 246.48.41.254246.48.41.255510
22246.48.42.0/23246.48.42.1 to 246.48.43.254246.48.43.255510
23246.48.44.0/23246.48.44.1 to 246.48.45.254246.48.45.255510
24246.48.46.0/23246.48.46.1 to 246.48.47.254246.48.47.255510
25246.48.48.0/23246.48.48.1 to 246.48.49.254246.48.49.255510
26246.48.50.0/23246.48.50.1 to 246.48.51.254246.48.51.255510
27246.48.52.0/23246.48.52.1 to 246.48.53.254246.48.53.255510
28246.48.54.0/23246.48.54.1 to 246.48.55.254246.48.55.255510
29246.48.56.0/23246.48.56.1 to 246.48.57.254246.48.57.255510
30246.48.58.0/23246.48.58.1 to 246.48.59.254246.48.59.255510
31246.48.60.0/23246.48.60.1 to 246.48.61.254246.48.61.255510
32246.48.62.0/23246.48.62.1 to 246.48.63.254246.48.63.255510
33246.48.64.0/23246.48.64.1 to 246.48.65.254246.48.65.255510
34246.48.66.0/23246.48.66.1 to 246.48.67.254246.48.67.255510
35246.48.68.0/23246.48.68.1 to 246.48.69.254246.48.69.255510
36246.48.70.0/23246.48.70.1 to 246.48.71.254246.48.71.255510
37246.48.72.0/23246.48.72.1 to 246.48.73.254246.48.73.255510
38246.48.74.0/23246.48.74.1 to 246.48.75.254246.48.75.255510
39246.48.76.0/23246.48.76.1 to 246.48.77.254246.48.77.255510
40246.48.78.0/23246.48.78.1 to 246.48.79.254246.48.79.255510
41246.48.80.0/23246.48.80.1 to 246.48.81.254246.48.81.255510
42246.48.82.0/23246.48.82.1 to 246.48.83.254246.48.83.255510
43246.48.84.0/23246.48.84.1 to 246.48.85.254246.48.85.255510
44246.48.86.0/23246.48.86.1 to 246.48.87.254246.48.87.255510
45246.48.88.0/23246.48.88.1 to 246.48.89.254246.48.89.255510
46246.48.90.0/23246.48.90.1 to 246.48.91.254246.48.91.255510
47246.48.92.0/23246.48.92.1 to 246.48.93.254246.48.93.255510
48246.48.94.0/23246.48.94.1 to 246.48.95.254246.48.95.255510
49246.48.96.0/23246.48.96.1 to 246.48.97.254246.48.97.255510
50246.48.98.0/23246.48.98.1 to 246.48.99.254246.48.99.255510
51246.48.100.0/23246.48.100.1 to 246.48.101.254246.48.101.255510
52246.48.102.0/23246.48.102.1 to 246.48.103.254246.48.103.255510
53246.48.104.0/23246.48.104.1 to 246.48.105.254246.48.105.255510
54246.48.106.0/23246.48.106.1 to 246.48.107.254246.48.107.255510
55246.48.108.0/23246.48.108.1 to 246.48.109.254246.48.109.255510
56246.48.110.0/23246.48.110.1 to 246.48.111.254246.48.111.255510
57246.48.112.0/23246.48.112.1 to 246.48.113.254246.48.113.255510
58246.48.114.0/23246.48.114.1 to 246.48.115.254246.48.115.255510
59246.48.116.0/23246.48.116.1 to 246.48.117.254246.48.117.255510
60246.48.118.0/23246.48.118.1 to 246.48.119.254246.48.119.255510
61246.48.120.0/23246.48.120.1 to 246.48.121.254246.48.121.255510
62246.48.122.0/23246.48.122.1 to 246.48.123.254246.48.123.255510
63246.48.124.0/23246.48.124.1 to 246.48.125.254246.48.125.255510
64246.48.126.0/23246.48.126.1 to 246.48.127.254246.48.127.255510
65246.48.128.0/23246.48.128.1 to 246.48.129.254246.48.129.255510
66246.48.130.0/23246.48.130.1 to 246.48.131.254246.48.131.255510
67246.48.132.0/23246.48.132.1 to 246.48.133.254246.48.133.255510
68246.48.134.0/23246.48.134.1 to 246.48.135.254246.48.135.255510
69246.48.136.0/23246.48.136.1 to 246.48.137.254246.48.137.255510
70246.48.138.0/23246.48.138.1 to 246.48.139.254246.48.139.255510
71246.48.140.0/23246.48.140.1 to 246.48.141.254246.48.141.255510
72246.48.142.0/23246.48.142.1 to 246.48.143.254246.48.143.255510
73246.48.144.0/23246.48.144.1 to 246.48.145.254246.48.145.255510
74246.48.146.0/23246.48.146.1 to 246.48.147.254246.48.147.255510
75246.48.148.0/23246.48.148.1 to 246.48.149.254246.48.149.255510
76246.48.150.0/23246.48.150.1 to 246.48.151.254246.48.151.255510
77246.48.152.0/23246.48.152.1 to 246.48.153.254246.48.153.255510
78246.48.154.0/23246.48.154.1 to 246.48.155.254246.48.155.255510
79246.48.156.0/23246.48.156.1 to 246.48.157.254246.48.157.255510
80246.48.158.0/23246.48.158.1 to 246.48.159.254246.48.159.255510
81246.48.160.0/23246.48.160.1 to 246.48.161.254246.48.161.255510
82246.48.162.0/23246.48.162.1 to 246.48.163.254246.48.163.255510
83246.48.164.0/23246.48.164.1 to 246.48.165.254246.48.165.255510
84246.48.166.0/23246.48.166.1 to 246.48.167.254246.48.167.255510
85246.48.168.0/23246.48.168.1 to 246.48.169.254246.48.169.255510
86246.48.170.0/23246.48.170.1 to 246.48.171.254246.48.171.255510
87246.48.172.0/23246.48.172.1 to 246.48.173.254246.48.173.255510
88246.48.174.0/23246.48.174.1 to 246.48.175.254246.48.175.255510
89246.48.176.0/23246.48.176.1 to 246.48.177.254246.48.177.255510
90246.48.178.0/23246.48.178.1 to 246.48.179.254246.48.179.255510
91246.48.180.0/23246.48.180.1 to 246.48.181.254246.48.181.255510
92246.48.182.0/23246.48.182.1 to 246.48.183.254246.48.183.255510
93246.48.184.0/23246.48.184.1 to 246.48.185.254246.48.185.255510
94246.48.186.0/23246.48.186.1 to 246.48.187.254246.48.187.255510
95246.48.188.0/23246.48.188.1 to 246.48.189.254246.48.189.255510
96246.48.190.0/23246.48.190.1 to 246.48.191.254246.48.191.255510
97246.48.192.0/23246.48.192.1 to 246.48.193.254246.48.193.255510
98246.48.194.0/23246.48.194.1 to 246.48.195.254246.48.195.255510
99246.48.196.0/23246.48.196.1 to 246.48.197.254246.48.197.255510
100246.48.198.0/23246.48.198.1 to 246.48.199.254246.48.199.255510
101246.48.200.0/23246.48.200.1 to 246.48.201.254246.48.201.255510
102246.48.202.0/23246.48.202.1 to 246.48.203.254246.48.203.255510
103246.48.204.0/23246.48.204.1 to 246.48.205.254246.48.205.255510
104246.48.206.0/23246.48.206.1 to 246.48.207.254246.48.207.255510
105246.48.208.0/23246.48.208.1 to 246.48.209.254246.48.209.255510
106246.48.210.0/23246.48.210.1 to 246.48.211.254246.48.211.255510
107246.48.212.0/23246.48.212.1 to 246.48.213.254246.48.213.255510
108246.48.214.0/23246.48.214.1 to 246.48.215.254246.48.215.255510
109246.48.216.0/23246.48.216.1 to 246.48.217.254246.48.217.255510
110246.48.218.0/23246.48.218.1 to 246.48.219.254246.48.219.255510
111246.48.220.0/23246.48.220.1 to 246.48.221.254246.48.221.255510
112246.48.222.0/23246.48.222.1 to 246.48.223.254246.48.223.255510
113246.48.224.0/23246.48.224.1 to 246.48.225.254246.48.225.255510
114246.48.226.0/23246.48.226.1 to 246.48.227.254246.48.227.255510
115246.48.228.0/23246.48.228.1 to 246.48.229.254246.48.229.255510
116246.48.230.0/23246.48.230.1 to 246.48.231.254246.48.231.255510
117246.48.232.0/23246.48.232.1 to 246.48.233.254246.48.233.255510
118246.48.234.0/23246.48.234.1 to 246.48.235.254246.48.235.255510
119246.48.236.0/23246.48.236.1 to 246.48.237.254246.48.237.255510
120246.48.238.0/23246.48.238.1 to 246.48.239.254246.48.239.255510
121246.48.240.0/23246.48.240.1 to 246.48.241.254246.48.241.255510
122246.48.242.0/23246.48.242.1 to 246.48.243.254246.48.243.255510
123246.48.244.0/23246.48.244.1 to 246.48.245.254246.48.245.255510
124246.48.246.0/23246.48.246.1 to 246.48.247.254246.48.247.255510
125246.48.248.0/23246.48.248.1 to 246.48.249.254246.48.249.255510
126246.48.250.0/23246.48.250.1 to 246.48.251.254246.48.251.255510
127246.48.252.0/23246.48.252.1 to 246.48.253.254246.48.253.255510
128246.48.254.0/23246.48.254.1 to 246.48.255.254246.48.255.255510
129246.49.0.0/23246.49.0.1 to 246.49.1.254246.49.1.255510
130246.49.2.0/23246.49.2.1 to 246.49.3.254246.49.3.255510
131246.49.4.0/23246.49.4.1 to 246.49.5.254246.49.5.255510
132246.49.6.0/23246.49.6.1 to 246.49.7.254246.49.7.255510
133246.49.8.0/23246.49.8.1 to 246.49.9.254246.49.9.255510
134246.49.10.0/23246.49.10.1 to 246.49.11.254246.49.11.255510
135246.49.12.0/23246.49.12.1 to 246.49.13.254246.49.13.255510
136246.49.14.0/23246.49.14.1 to 246.49.15.254246.49.15.255510
137246.49.16.0/23246.49.16.1 to 246.49.17.254246.49.17.255510
138246.49.18.0/23246.49.18.1 to 246.49.19.254246.49.19.255510
139246.49.20.0/23246.49.20.1 to 246.49.21.254246.49.21.255510
140246.49.22.0/23246.49.22.1 to 246.49.23.254246.49.23.255510
141246.49.24.0/23246.49.24.1 to 246.49.25.254246.49.25.255510
142246.49.26.0/23246.49.26.1 to 246.49.27.254246.49.27.255510
143246.49.28.0/23246.49.28.1 to 246.49.29.254246.49.29.255510
144246.49.30.0/23246.49.30.1 to 246.49.31.254246.49.31.255510
145246.49.32.0/23246.49.32.1 to 246.49.33.254246.49.33.255510
146246.49.34.0/23246.49.34.1 to 246.49.35.254246.49.35.255510
147246.49.36.0/23246.49.36.1 to 246.49.37.254246.49.37.255510
148246.49.38.0/23246.49.38.1 to 246.49.39.254246.49.39.255510
149246.49.40.0/23246.49.40.1 to 246.49.41.254246.49.41.255510
150246.49.42.0/23246.49.42.1 to 246.49.43.254246.49.43.255510
151246.49.44.0/23246.49.44.1 to 246.49.45.254246.49.45.255510
152246.49.46.0/23246.49.46.1 to 246.49.47.254246.49.47.255510
153246.49.48.0/23246.49.48.1 to 246.49.49.254246.49.49.255510
154246.49.50.0/23246.49.50.1 to 246.49.51.254246.49.51.255510
155246.49.52.0/23246.49.52.1 to 246.49.53.254246.49.53.255510
156246.49.54.0/23246.49.54.1 to 246.49.55.254246.49.55.255510
157246.49.56.0/23246.49.56.1 to 246.49.57.254246.49.57.255510
158246.49.58.0/23246.49.58.1 to 246.49.59.254246.49.59.255510
159246.49.60.0/23246.49.60.1 to 246.49.61.254246.49.61.255510
160246.49.62.0/23246.49.62.1 to 246.49.63.254246.49.63.255510
161246.49.64.0/23246.49.64.1 to 246.49.65.254246.49.65.255510
162246.49.66.0/23246.49.66.1 to 246.49.67.254246.49.67.255510
163246.49.68.0/23246.49.68.1 to 246.49.69.254246.49.69.255510
164246.49.70.0/23246.49.70.1 to 246.49.71.254246.49.71.255510
165246.49.72.0/23246.49.72.1 to 246.49.73.254246.49.73.255510
166246.49.74.0/23246.49.74.1 to 246.49.75.254246.49.75.255510
167246.49.76.0/23246.49.76.1 to 246.49.77.254246.49.77.255510
168246.49.78.0/23246.49.78.1 to 246.49.79.254246.49.79.255510
169246.49.80.0/23246.49.80.1 to 246.49.81.254246.49.81.255510
170246.49.82.0/23246.49.82.1 to 246.49.83.254246.49.83.255510
171246.49.84.0/23246.49.84.1 to 246.49.85.254246.49.85.255510
172246.49.86.0/23246.49.86.1 to 246.49.87.254246.49.87.255510
173246.49.88.0/23246.49.88.1 to 246.49.89.254246.49.89.255510
174246.49.90.0/23246.49.90.1 to 246.49.91.254246.49.91.255510
175246.49.92.0/23246.49.92.1 to 246.49.93.254246.49.93.255510
176246.49.94.0/23246.49.94.1 to 246.49.95.254246.49.95.255510
177246.49.96.0/23246.49.96.1 to 246.49.97.254246.49.97.255510
178246.49.98.0/23246.49.98.1 to 246.49.99.254246.49.99.255510
179246.49.100.0/23246.49.100.1 to 246.49.101.254246.49.101.255510
180246.49.102.0/23246.49.102.1 to 246.49.103.254246.49.103.255510
181246.49.104.0/23246.49.104.1 to 246.49.105.254246.49.105.255510
182246.49.106.0/23246.49.106.1 to 246.49.107.254246.49.107.255510
183246.49.108.0/23246.49.108.1 to 246.49.109.254246.49.109.255510
184246.49.110.0/23246.49.110.1 to 246.49.111.254246.49.111.255510
185246.49.112.0/23246.49.112.1 to 246.49.113.254246.49.113.255510
186246.49.114.0/23246.49.114.1 to 246.49.115.254246.49.115.255510
187246.49.116.0/23246.49.116.1 to 246.49.117.254246.49.117.255510
188246.49.118.0/23246.49.118.1 to 246.49.119.254246.49.119.255510
189246.49.120.0/23246.49.120.1 to 246.49.121.254246.49.121.255510
190246.49.122.0/23246.49.122.1 to 246.49.123.254246.49.123.255510
191246.49.124.0/23246.49.124.1 to 246.49.125.254246.49.125.255510
192246.49.126.0/23246.49.126.1 to 246.49.127.254246.49.127.255510
193246.49.128.0/23246.49.128.1 to 246.49.129.254246.49.129.255510
194246.49.130.0/23246.49.130.1 to 246.49.131.254246.49.131.255510
195246.49.132.0/23246.49.132.1 to 246.49.133.254246.49.133.255510
196246.49.134.0/23246.49.134.1 to 246.49.135.254246.49.135.255510
197246.49.136.0/23246.49.136.1 to 246.49.137.254246.49.137.255510
198246.49.138.0/23246.49.138.1 to 246.49.139.254246.49.139.255510
199246.49.140.0/23246.49.140.1 to 246.49.141.254246.49.141.255510
200246.49.142.0/23246.49.142.1 to 246.49.143.254246.49.143.255510
201246.49.144.0/23246.49.144.1 to 246.49.145.254246.49.145.255510
202246.49.146.0/23246.49.146.1 to 246.49.147.254246.49.147.255510
203246.49.148.0/23246.49.148.1 to 246.49.149.254246.49.149.255510
204246.49.150.0/23246.49.150.1 to 246.49.151.254246.49.151.255510
205246.49.152.0/23246.49.152.1 to 246.49.153.254246.49.153.255510
206246.49.154.0/23246.49.154.1 to 246.49.155.254246.49.155.255510
207246.49.156.0/23246.49.156.1 to 246.49.157.254246.49.157.255510
208246.49.158.0/23246.49.158.1 to 246.49.159.254246.49.159.255510
209246.49.160.0/23246.49.160.1 to 246.49.161.254246.49.161.255510
210246.49.162.0/23246.49.162.1 to 246.49.163.254246.49.163.255510
211246.49.164.0/23246.49.164.1 to 246.49.165.254246.49.165.255510
212246.49.166.0/23246.49.166.1 to 246.49.167.254246.49.167.255510
213246.49.168.0/23246.49.168.1 to 246.49.169.254246.49.169.255510
214246.49.170.0/23246.49.170.1 to 246.49.171.254246.49.171.255510
215246.49.172.0/23246.49.172.1 to 246.49.173.254246.49.173.255510
216246.49.174.0/23246.49.174.1 to 246.49.175.254246.49.175.255510
217246.49.176.0/23246.49.176.1 to 246.49.177.254246.49.177.255510
218246.49.178.0/23246.49.178.1 to 246.49.179.254246.49.179.255510
219246.49.180.0/23246.49.180.1 to 246.49.181.254246.49.181.255510
220246.49.182.0/23246.49.182.1 to 246.49.183.254246.49.183.255510
221246.49.184.0/23246.49.184.1 to 246.49.185.254246.49.185.255510
222246.49.186.0/23246.49.186.1 to 246.49.187.254246.49.187.255510
223246.49.188.0/23246.49.188.1 to 246.49.189.254246.49.189.255510
224246.49.190.0/23246.49.190.1 to 246.49.191.254246.49.191.255510
225246.49.192.0/23246.49.192.1 to 246.49.193.254246.49.193.255510
226246.49.194.0/23246.49.194.1 to 246.49.195.254246.49.195.255510
227246.49.196.0/23246.49.196.1 to 246.49.197.254246.49.197.255510
228246.49.198.0/23246.49.198.1 to 246.49.199.254246.49.199.255510
229246.49.200.0/23246.49.200.1 to 246.49.201.254246.49.201.255510
230246.49.202.0/23246.49.202.1 to 246.49.203.254246.49.203.255510
231246.49.204.0/23246.49.204.1 to 246.49.205.254246.49.205.255510
232246.49.206.0/23246.49.206.1 to 246.49.207.254246.49.207.255510
233246.49.208.0/23246.49.208.1 to 246.49.209.254246.49.209.255510
234246.49.210.0/23246.49.210.1 to 246.49.211.254246.49.211.255510
235246.49.212.0/23246.49.212.1 to 246.49.213.254246.49.213.255510
236246.49.214.0/23246.49.214.1 to 246.49.215.254246.49.215.255510
237246.49.216.0/23246.49.216.1 to 246.49.217.254246.49.217.255510
238246.49.218.0/23246.49.218.1 to 246.49.219.254246.49.219.255510
239246.49.220.0/23246.49.220.1 to 246.49.221.254246.49.221.255510
240246.49.222.0/23246.49.222.1 to 246.49.223.254246.49.223.255510
241246.49.224.0/23246.49.224.1 to 246.49.225.254246.49.225.255510
242246.49.226.0/23246.49.226.1 to 246.49.227.254246.49.227.255510
243246.49.228.0/23246.49.228.1 to 246.49.229.254246.49.229.255510
244246.49.230.0/23246.49.230.1 to 246.49.231.254246.49.231.255510
245246.49.232.0/23246.49.232.1 to 246.49.233.254246.49.233.255510
246246.49.234.0/23246.49.234.1 to 246.49.235.254246.49.235.255510
247246.49.236.0/23246.49.236.1 to 246.49.237.254246.49.237.255510
248246.49.238.0/23246.49.238.1 to 246.49.239.254246.49.239.255510
249246.49.240.0/23246.49.240.1 to 246.49.241.254246.49.241.255510
250246.49.242.0/23246.49.242.1 to 246.49.243.254246.49.243.255510
251246.49.244.0/23246.49.244.1 to 246.49.245.254246.49.245.255510
252246.49.246.0/23246.49.246.1 to 246.49.247.254246.49.247.255510
253246.49.248.0/23246.49.248.1 to 246.49.249.254246.49.249.255510
254246.49.250.0/23246.49.250.1 to 246.49.251.254246.49.251.255510
255246.49.252.0/23246.49.252.1 to 246.49.253.254246.49.253.255510
256246.49.254.0/23246.49.254.1 to 246.49.255.254246.49.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses